# PhasicFlow: planeWall Class Reference

planeWall Class Reference
Inheritance diagram for planeWall:
[legend]
Collaboration diagram for planeWall:
[legend]

## Public Member Functions

| TypeInfo ("planeWall")
| planeWall ()
| planeWall (const dictionary &dict)
| planeWall (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p4, int32 numDiv12=1, int32 numDiv23=1)
| add_vCtor (Wall, planeWall, dictionary)
Public Member Functions inherited from Wall
| TypeInfo ("Wall")
| Wall ()
| Wall (const dictionary &dict)
virtual | ~Wall ()=default
| create_vCtor (Wall, dictionary,(const dictionary &dict),(dict))
const auto & | triangles () const
word | name () const
word | materialName () const
word | motionName () const

## Protected Member Functions

bool | readPlaneWall (const dictionary &dict)
bool | addWall4 (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p4)
bool | checkFlatness (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p4)
bool | addPlaneWall (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p4, int32 numDiv12=1, int32 numDiv23=1)
Protected Member Functions inherited from Wall
bool | readCommon (const dictionary &ditc)

## Additional Inherited Members

Static Public Member Functions inherited from Wall
static bool | checkTrianlge (const realx3 &p1, const realx3 &p2, const realx3 &p3)
static uniquePtr< Wall > | create (const dictionary &dict)
Protected Attributes inherited from Wall
std::vector< realx3x3 > | triangles_
word | name_
word | materialName_
word | motionName_

## Detailed Description

Definition at line 32 of file planeWall.hpp.

## Constructor & Destructor Documentation

## planeWall() [1/3]

planeWall | ( |  | ) |

Definition at line 133 of file planeWall.cpp.

## planeWall() [2/3]

planeWall | ( | const dictionary & | dict | ) |

Definition at line 137 of file planeWall.cpp.

References fatalExit.

## planeWall() [3/3]

planeWall | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p4,
|  | int32 | numDiv12 = `1`,
|  | int32 | numDiv23 = `1`
| ) |  |

Definition at line 149 of file planeWall.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## Member Function Documentation

## readPlaneWall()

bool readPlaneWall | ( | const dictionary & | dict | ) |

protected

Definition at line 26 of file planeWall.cpp.

References pFlow::endl(), fatalErrorInFunction, dictionary::getVal(), dictionary::getValOrSet(), dictionary::globalName(), and pFlow::algorithms::KOKKOS::max().

Here is the call graph for this function:

## addWall4()

bool addWall4 | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p4
| ) |  |

protected

Definition at line 58 of file planeWall.cpp.

References planeWall::checkFlatness(), and Wall::triangles_.

Here is the call graph for this function:

## checkFlatness()

bool checkFlatness | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p4
| ) |  |

protected

Definition at line 73 of file planeWall.cpp.

References Wall::checkTrianlge().

Referenced by planeWall::addWall4().

Here is the call graph for this function:
Here is the caller graph for this function:

## addPlaneWall()

bool addPlaneWall | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | const realx3 & | p3,
|  | const realx3 & | p4,
|  | int32 | numDiv12 = `1`,
|  | int32 | numDiv23 = `1`
| ) |  |

protected

Definition at line 84 of file planeWall.cpp.

References line::point().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "planeWall" |  | ) |

## add_vCtor()

add_vCtor | ( | Wall | ,
|  | planeWall | ,
|  | dictionary |
| ) |  |

The documentation for this class was generated from the following files:

- utilities/Utilities/geometryPhasicFlow/planeWall/planeWall.hpp
- utilities/Utilities/geometryPhasicFlow/planeWall/planeWall.cpp